Conversations
Remove contacts from a conversation
Detaches one or more contacts from a conversation and returns the updated conversation.
Detaches one or more contacts from a conversation and returns the updated conversation.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^conv_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
contactIds*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/conversations/string/contacts" \ -H "Content-Type: application/json" \ -d '{ "contactIds": [ "string" ] }'{ "id": "string", "organizationId": "string", "title": "string", "description": "string", "externalId": "string", "parentConversationId": "string", "channels": [ "email" ], "primaryChannel": "email", "status": "active", "statusReason": "string", "priority": 0, "urgency": "low", "complexity": "simple", "metadata": { "source": "string", "tags": [ "string" ], "customFields": {} }, "actorTracking": { "allActorIds": [ "string" ], "activeActorIds": [ "string" ], "actorHistory": [ { "actorId": "string", "actorType": "contact", "joinedAt": "string", "leftAt": "string", "role": "initiator", "addedBy": "string", "removedBy": "string", "reason": "string" } ], "primaryActorIds": [ "string" ] }, "metrics": { "messageCount": 0, "messagesFromHuman": 0, "totalActors": 0, "contactCount": 0, "channelSwitches": 0, "channelDistribution": { "property1": 0, "property2": 0 } }, "context": { "customerData": {}, "previousConversations": [ "string" ], "sessionVariables": {}, "workflowState": { "currentStep": "string", "completedSteps": [ "string" ], "pendingSteps": [ "string" ], "workflowData": {} } }, "tags": [ "string" ], "categories": [ "string" ], "isTest": true, "isInternal": true, "isPrivate": true, "startedAt": "string", "lastActivityAt": "string", "lastHumanActivityAt": "string", "resolvedAt": "string", "archivedAt": "string", "resolvedBy": "string", "resolutionType": "automated", "resolutionNotes": "string", "createdAt": "string", "updatedAt": "string", "createdBy": "string"}